package EstruturaDados;


public class ClasseVetor {
    //Atributos
    //O nome ao invés de v pode outro a sua escolha.
    private String [] v;
    
    //Construtor padrão
    ClasseVetor(){
        v = new String[10];
    }
    //Construtor com parâmetro
    ClasseVetor(int tam){
        v = new String[tam];
    }
    
    //Métodos
    public void inserirDado(String input, int pos){
        try{
            this.v[pos] = input;
        }
        catch(java.lang.ArrayIndexOutOfBoundsException AIOOBE){
            System.out.println("Dado ("+input+") não inserido, pois ultrapassa o limite do vetor.");
        }
    }
    public void removerDado(int pos){
        this.v[pos] = null;
    }
    public String obterDado(int pos){
            return this.v[pos];        
    }
    public int obterTamanho(){
        return this.v.length;
    }
    
    public String [] obterVetor(){
        return this.v;
    }
    
    public boolean verificarExistencia(String toCompare){
        for(int i=0;i<this.v.length;i++)
            if(this.v[i] == toCompare)
                return true;       
        return false;
    }
    
    public int qtdAlocada(){
        int qtd=0;
        for(int i=0;i<v.length;i++)
            if(v[i] != null)
                qtd++;
        return qtd;        
    }
}
